Subject: Re: bug#77015: 31.0.50; Too many menu bar lines corrupt -nw display

From: Gerd Möllmann <[email-masked]>
Date: Fri, 14 Mar 2025 19:04:57 +0100

martin rudalics <[email-masked]> writes:

> With emacs -Q evaluate
>
> (set-frame-parameter nil 'menu-bar-lines 27)
>
> This corrupts the display when I start moving point upwards as in the
> attached screenshot.
>
> martin
>
> In GNU Emacs 31.0.50 (build 9, x86_64-pc-linux-gnu, GTK+ Version
>  3.24.38, cairo version 1.16.0) of 2025-03-14 built on restno
> Repository revision: 1437fc2bca2e42cd2a28754bbb4d9ac1403b87b7
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
> System Description: Debian GNU/Linux 12 (bookworm)
>
> Configured using:
>  'configure --with-gif=ifavailable --with-tiff=ifavailable
>  --with-gnutls=no --without-pop 'CFLAGS=-O3 -g3 -no-pie''

Looking at display_menu_bar in xdisp.c I see that only ever one line of
menu-bar is displayed, the rest of the lines are cleared. Which begs the
question what this is good for, IMO. Maybe one should just restrict the
valid values of menu-bar-lines to 0 and 1.